summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-09-14 18:50:12 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:18:43 -0500
commit0e9147029f0ca5b7e7d53235fe4bd81dd4fb1b3d (patch)
tree1ace060e50b0a0d48f93ccc3b2eff5b77f5fd42a /source4/lib/ldb/tests
parentfafa8c3e47497a9f399e9ca52a7e6a904f1fb9f6 (diff)
downloadsamba-0e9147029f0ca5b7e7d53235fe4bd81dd4fb1b3d.tar.gz
samba-0e9147029f0ca5b7e7d53235fe4bd81dd4fb1b3d.tar.bz2
samba-0e9147029f0ca5b7e7d53235fe4bd81dd4fb1b3d.zip
r18536: fixed the loading of external binary files from ldif into ldb
(This used to be commit fbe13ed83e2f3508db6d77f4bd65a913ef12ff02)
Diffstat (limited to 'source4/lib/ldb/tests')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index c1e0039b97..d1cbc80938 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -73,9 +73,12 @@ fi
echo "Testing binary file attribute value"
cp $LDBDIR/tests/samba4.png tests/tmp/samba4.png
-#$VALGRIND ldbmodify $LDBDIR/tests/photo.ldif || exit 1
-#exit 1
-#$VALGRIND ldbsearch '(cn=Hampster Ursula)' jpegPhoto
+$VALGRIND ldbmodify $LDBDIR/tests/photo.ldif || exit 1
+count=`$VALGRIND ldbsearch '(cn=Hampster Ursula)' jpegPhoto || grep '^dn' | wc -l`
+if [ $count != 1 ]; then
+ echo returned $count records - expected 1
+ exit 1
+fi
rm -f tests/tmp/samba4.png
echo "*TODO* Testing UTF8 upper lower case searches !!"